using System;

namespace ListView_Example
{

/// <summary>
/// OpenSpan design component.
/// </summary>
// WindowsAdapter-8C9A8A5AF1F17D0
[OpenSpan.Design.ComponentIdentityAttribute("WindowsAdapter-8C9A8A5AF1F17D0")]
[System.ComponentModel.ToolboxItemAttribute(false)]
public sealed class TaskMngr : OpenSpan.Adapters.Windows.WindowsAdapter
{
	
	[OpenSpan.Design.ComponentIdentityAttribute("WindowsAdapter-8C9A8A5AF1F17D0\\Form-8C9A8A6A1278690")]
	public OpenSpan.Adapters.Controls.Form Windows_Task_Manager;
	
	[OpenSpan.Design.ComponentIdentityAttribute("WindowsAdapter-8C9A8A5AF1F17D0\\Control-8C9A8A6A1247830")]
	public OpenSpan.Adapters.Controls.Control Control;
	
	[OpenSpan.Design.ComponentIdentityAttribute("WindowsAdapter-8C9A8A5AF1F17D0\\ListView-8C9A8A6A113A920")]
	public OpenSpan.Adapters.Controls.ListView lvListView;
	
	private OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule3;
	
	private OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule controlIdMatchRule1;
	
	private OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule2;
	
	private OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule windowTypeMatchRule1;
	
	private OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule controlChildrenMatchRule1;
	
	private OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule windowTextMatchRule1;
	
	private OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule1;
	
	[OpenSpan.Design.ComponentIdentityAttribute("WindowsAdapter-8C9A8A5AF1F17D0\\ActiveXFactory-8CACCF4363287C6")]
	public OpenSpan.Adapters.ActiveX.ActiveXFactory activeXFactory1;
	
	private OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule moduleNameMatchRule1;
	
	public TaskMngr()
	{
		// 
		// Global Initialization
		// 
		OpenSpan.Diagnostics.Diagnostic.Initialize();
		// 
		// Setup field members
		// 
		System.ComponentModel.ComponentResourceManager _resources_ = new System.ComponentModel.ComponentResourceManager(typeof(TaskMngr));
		OpenSpan.Adapters.TextMatchData textmatchdata1 = new OpenSpan.Adapters.TextMatchData();
		OpenSpan.Adapters.TextMatchData textmatchdata2 = new OpenSpan.Adapters.TextMatchData();
		this.Windows_Task_Manager = new OpenSpan.Adapters.Controls.Form();
		this.Control = new OpenSpan.Adapters.Controls.Control();
		this.lvListView = new OpenSpan.Adapters.Controls.ListView();
		this.classNameMatchRule3 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		this.controlIdMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule();
		this.classNameMatchRule2 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		this.windowTypeMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule();
		this.controlChildrenMatchRule1 = new OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule();
		this.windowTextMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule();
		this.classNameMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		this.activeXFactory1 = new OpenSpan.Adapters.ActiveX.ActiveXFactory();
		this.moduleNameMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule();
		// 
		// Initialize design component
		// 
		this.Initialize();
		// 
		// Set design component Id
		// 
		this.Id = new OpenSpan.Design.ComponentIdentity("WindowsAdapter-8C9A8A5AF1F17D0");
		// 
		// Set component Ids
		// 
		this.SetId(this.Windows_Task_Manager, new OpenSpan.Design.ComponentIdentity("Form-8C9A8A6A1278690"));
		this.SetId(this.Control, new OpenSpan.Design.ComponentIdentity("Control-8C9A8A6A1247830"));
		this.SetId(this.lvListView, new OpenSpan.Design.ComponentIdentity("ListView-8C9A8A6A113A920"));
		this.SetId(this.classNameMatchRule3, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1448F20"));
		this.SetId(this.controlIdMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlIdMatchRule-8C9A8A6A1479D80"));
		this.SetId(this.classNameMatchRule2, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A13855A0"));
		this.SetId(this.windowTypeMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTypeMatchRule-8C9A8A6A13B6400"));
		this.SetId(this.controlChildrenMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlChildrenMatchRule-8C9A8A6AF51A680"));
		this.SetId(this.windowTextMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTextMatchRule-8C9A8A6A13238E0"));
		this.SetId(this.classNameMatchRule1, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1354740"));
		this.SetId(this.activeXFactory1, new OpenSpan.Design.ComponentIdentity("ActiveXFactory-8CACCF4363287C6"));
		this.SetId(this.moduleNameMatchRule1, new OpenSpan.Design.ComponentIdentity("ModuleNameMatchRule-8CACCF4363C112E"));
		// 
		// TaskMngr
		// 
		this.AdvancedConfiguration = null;
		ComponentInfo.CodeDomData = _resources_.GetString("_TaskMngr_1_");
		// 
		// Windows_Task_Manager
		// 
		// 
		// Control
		// 
		// 
		// lvListView
		// 
		this.lvListView.Extender = null;
		this.lvListView.ForwardObjectExplorerEvent = true;
		this.lvListView.MatchingIndex = 0;
		// 
		// classNameMatchRule3
		// 
		this.classNameMatchRule3.ClassName = "SysListView32";
		// 
		// controlIdMatchRule1
		// 
		this.controlIdMatchRule1.ControlId = 1009;
		this.lvListView.MatchRules.Add(this.classNameMatchRule3);
		this.lvListView.MatchRules.Add(this.controlIdMatchRule1);
		this.lvListView.Name = "lvListView";
		this.lvListView.Separator = ",";
		this.lvListView.TargetTypeString = "@Value";
		this.Control.Controls.Add(this.lvListView);
		this.Control.Extender = null;
		this.Control.ForwardObjectExplorerEvent = true;
		this.Control.MatchingIndex = 3;
		// 
		// classNameMatchRule2
		// 
		this.classNameMatchRule2.ClassName = "#32770";
		// 
		// windowTypeMatchRule1
		// 
		this.windowTypeMatchRule1.Type = OpenSpan.Adapters.Windows.WindowType.Child;
		// 
		// controlChildrenMatchRule1
		// 
		this.controlChildrenMatchRule1.Children.Add(this.lvListView);
		this.Control.MatchRules.Add(this.classNameMatchRule2);
		this.Control.MatchRules.Add(this.windowTypeMatchRule1);
		this.Control.MatchRules.Add(this.controlChildrenMatchRule1);
		this.Control.Name = "Control";
		this.Control.TargetTypeString = "@Value";
		this.Windows_Task_Manager.Controls.Add(this.Control);
		this.Windows_Task_Manager.Extender = null;
		this.Windows_Task_Manager.ForwardObjectExplorerEvent = true;
		this.Windows_Task_Manager.MatchingIndex = 0;
		// 
		// windowTextMatchRule1
		// 
		textmatchdata1.IgnoreCase = false;
		textmatchdata1.Text = "Windows Task Manager";
		this.windowTextMatchRule1.Text = textmatchdata1;
		// 
		// classNameMatchRule1
		// 
		this.classNameMatchRule1.ClassName = "#32770";
		this.Windows_Task_Manager.MatchRules.Add(this.windowTextMatchRule1);
		this.Windows_Task_Manager.MatchRules.Add(this.classNameMatchRule1);
		this.Windows_Task_Manager.Name = "Windows_Task_Manager";
		this.Windows_Task_Manager.TargetTypeString = "@Value";
		this.Windows_Task_Manager.UseKeys = true;
		// 
		// activeXFactory1
		// 
		this.activeXFactory1.Extender = null;
		this.activeXFactory1.FactoryName = null;
		this.activeXFactory1.ForwardObjectExplorerEvent = true;
		this.activeXFactory1.MatchingIndex = 19;
		// 
		// moduleNameMatchRule1
		// 
		textmatchdata2.Text = "ole32.dll";
		this.moduleNameMatchRule1.Text = textmatchdata2;
		this.activeXFactory1.MatchRules.Add(this.moduleNameMatchRule1);
		this.activeXFactory1.Name = "activeXFactory1";
		this.activeXFactory1.TargetTypeString = "OpenSpan.Adapters.Windows.WindowsModule, OpenSpan.Adapters.Windows";
		this.activeXFactory1.UseKeys = true;
		this.Controls.Add(this.Windows_Task_Manager);
		this.Controls.Add(this.activeXFactory1);
		this.Extender = null;
		this.FriendlyName = "TaskMngr";
		this.HookChildProcesses = true;
		this.Name = "TaskMngr";
		this.Path = "C:\\WINDOWS\\system32\\taskmgr.exe";
		this.StartMyDay = OpenSpan.ApplicationFramework.StartMyDay.StartOptions.None;
		this.TargetPath = "";
		this.WorkingDirectory = "C:\\WINDOWS\\system32";
		// 
		// Add components
		// 
		this.mComponents = new System.Collections.Generic.List<System.ComponentModel.IComponent>(20);
		this.Components.Add(this.Windows_Task_Manager);
		this.Components.Add(this.Control);
		this.Components.Add(this.lvListView);
		this.Components.Add(this.classNameMatchRule3);
		this.Components.Add(this.controlIdMatchRule1);
		this.Components.Add(this.classNameMatchRule2);
		this.Components.Add(this.windowTypeMatchRule1);
		this.Components.Add(this.controlChildrenMatchRule1);
		this.Components.Add(this.windowTextMatchRule1);
		this.Components.Add(this.classNameMatchRule1);
		this.Components.Add(this.activeXFactory1);
		this.Components.Add(this.moduleNameMatchRule1);
	}
	
	private System.Collections.Generic.List<System.ComponentModel.IComponent> mComponents;
	
	public System.Collections.Generic.List<System.ComponentModel.IComponent> Components
	{
		get
		{
			return this.mComponents;
		}
	}
	
	/// <summary>
	/// Start design component.
	/// </summary>
	public override void Start()
	{
		base.Start();
	}
	
	/// <summary>
	/// Stop design component.
	/// </summary>
	public override void Stop()
	{
		base.Stop();
	}
	
	internal OpenSpan.Adapters.Controls.Form Create_Windows_Task_Manager(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Controls.Form Windows_Task_Manager = new OpenSpan.Adapters.Controls.Form();
		this.SetId(Windows_Task_Manager, new OpenSpan.Design.ComponentIdentity("Form-8C9A8A6A1278690"));
		OpenSpan.Adapters.Controls.Control Control;
		Control = new OpenSpan.Adapters.Controls.Control();
		// 
		// Control
		// 
		OpenSpan.Adapters.Controls.ListView lvListView;
		lvListView = new OpenSpan.Adapters.Controls.ListView();
		// 
		// lvListView
		// 
		lvListView.Extender = null;
		lvListView.ForwardObjectExplorerEvent = true;
		lvListView.MatchingIndex = 0;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule3;
		classNameMatchRule3 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule3
		// 
		classNameMatchRule3.ClassName = "SysListView32";
		OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule controlIdMatchRule1;
		controlIdMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule();
		// 
		// controlIdMatchRule1
		// 
		controlIdMatchRule1.ControlId = 1009;
		lvListView.MatchRules.Add(classNameMatchRule3);
		lvListView.MatchRules.Add(controlIdMatchRule1);
		lvListView.Name = "lvListView";
		lvListView.Separator = ",";
		lvListView.TargetTypeString = "@Value";
		Control.Controls.Add(lvListView);
		Control.Extender = null;
		Control.ForwardObjectExplorerEvent = true;
		Control.MatchingIndex = 3;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule2;
		classNameMatchRule2 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule2
		// 
		classNameMatchRule2.ClassName = "#32770";
		OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule windowTypeMatchRule1;
		windowTypeMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule();
		// 
		// windowTypeMatchRule1
		// 
		windowTypeMatchRule1.Type = OpenSpan.Adapters.Windows.WindowType.Child;
		OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule controlChildrenMatchRule1;
		controlChildrenMatchRule1 = new OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule();
		// 
		// controlChildrenMatchRule1
		// 
		controlChildrenMatchRule1.Children.Add(lvListView);
		Control.MatchRules.Add(classNameMatchRule2);
		Control.MatchRules.Add(windowTypeMatchRule1);
		Control.MatchRules.Add(controlChildrenMatchRule1);
		Control.Name = "Control";
		Control.TargetTypeString = "@Value";
		Windows_Task_Manager.Controls.Add(Control);
		Windows_Task_Manager.Extender = null;
		Windows_Task_Manager.ForwardObjectExplorerEvent = true;
		Windows_Task_Manager.MatchingIndex = 0;
		OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule windowTextMatchRule1;
		windowTextMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule();
		// 
		// windowTextMatchRule1
		// 
		OpenSpan.Adapters.TextMatchData textmatchdata1 = new OpenSpan.Adapters.TextMatchData();
		textmatchdata1.IgnoreCase = false;
		textmatchdata1.Text = "Windows Task Manager";
		windowTextMatchRule1.Text = textmatchdata1;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule1;
		classNameMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule1
		// 
		classNameMatchRule1.ClassName = "#32770";
		Windows_Task_Manager.MatchRules.Add(windowTextMatchRule1);
		Windows_Task_Manager.MatchRules.Add(classNameMatchRule1);
		Windows_Task_Manager.Name = "Windows_Task_Manager";
		Windows_Task_Manager.TargetTypeString = "@Value";
		Windows_Task_Manager.UseKeys = true;
		// 
		// Set designComp Ids
		// 
		this.SetId(Control, new OpenSpan.Design.ComponentIdentity("Control-8C9A8A6A1247830"));
		this.SetId(lvListView, new OpenSpan.Design.ComponentIdentity("ListView-8C9A8A6A113A920"));
		this.SetId(classNameMatchRule3, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1448F20"));
		this.SetId(controlIdMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlIdMatchRule-8C9A8A6A1479D80"));
		this.SetId(classNameMatchRule2, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A13855A0"));
		this.SetId(windowTypeMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTypeMatchRule-8C9A8A6A13B6400"));
		this.SetId(controlChildrenMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlChildrenMatchRule-8C9A8A6AF51A680"));
		this.SetId(windowTextMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTextMatchRule-8C9A8A6A13238E0"));
		this.SetId(classNameMatchRule1, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1354740"));
		// 
		// Add components
		// 
		components.Add(Control);
		components.Add(lvListView);
		components.Add(classNameMatchRule3);
		components.Add(controlIdMatchRule1);
		components.Add(classNameMatchRule2);
		components.Add(windowTypeMatchRule1);
		components.Add(controlChildrenMatchRule1);
		components.Add(windowTextMatchRule1);
		components.Add(classNameMatchRule1);
		// 
		// Result
		// 
		return Windows_Task_Manager;
	}
	
	internal OpenSpan.Adapters.Controls.Control Create_Control(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Controls.Control Control = new OpenSpan.Adapters.Controls.Control();
		this.SetId(Control, new OpenSpan.Design.ComponentIdentity("Control-8C9A8A6A1247830"));
		OpenSpan.Adapters.Controls.ListView lvListView;
		lvListView = new OpenSpan.Adapters.Controls.ListView();
		// 
		// lvListView
		// 
		lvListView.Extender = null;
		lvListView.ForwardObjectExplorerEvent = true;
		lvListView.MatchingIndex = 0;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule3;
		classNameMatchRule3 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule3
		// 
		classNameMatchRule3.ClassName = "SysListView32";
		OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule controlIdMatchRule1;
		controlIdMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule();
		// 
		// controlIdMatchRule1
		// 
		controlIdMatchRule1.ControlId = 1009;
		lvListView.MatchRules.Add(classNameMatchRule3);
		lvListView.MatchRules.Add(controlIdMatchRule1);
		lvListView.Name = "lvListView";
		lvListView.Separator = ",";
		lvListView.TargetTypeString = "@Value";
		Control.Controls.Add(lvListView);
		Control.Extender = null;
		Control.ForwardObjectExplorerEvent = true;
		Control.MatchingIndex = 3;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule2;
		classNameMatchRule2 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule2
		// 
		classNameMatchRule2.ClassName = "#32770";
		OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule windowTypeMatchRule1;
		windowTypeMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule();
		// 
		// windowTypeMatchRule1
		// 
		windowTypeMatchRule1.Type = OpenSpan.Adapters.Windows.WindowType.Child;
		OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule controlChildrenMatchRule1;
		controlChildrenMatchRule1 = new OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule();
		// 
		// controlChildrenMatchRule1
		// 
		controlChildrenMatchRule1.Children.Add(lvListView);
		Control.MatchRules.Add(classNameMatchRule2);
		Control.MatchRules.Add(windowTypeMatchRule1);
		Control.MatchRules.Add(controlChildrenMatchRule1);
		Control.Name = "Control";
		Control.TargetTypeString = "@Value";
		// 
		// Set designComp Ids
		// 
		this.SetId(lvListView, new OpenSpan.Design.ComponentIdentity("ListView-8C9A8A6A113A920"));
		this.SetId(classNameMatchRule3, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1448F20"));
		this.SetId(controlIdMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlIdMatchRule-8C9A8A6A1479D80"));
		this.SetId(classNameMatchRule2, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A13855A0"));
		this.SetId(windowTypeMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTypeMatchRule-8C9A8A6A13B6400"));
		this.SetId(controlChildrenMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlChildrenMatchRule-8C9A8A6AF51A680"));
		// 
		// Add components
		// 
		components.Add(lvListView);
		components.Add(classNameMatchRule3);
		components.Add(controlIdMatchRule1);
		components.Add(classNameMatchRule2);
		components.Add(windowTypeMatchRule1);
		components.Add(controlChildrenMatchRule1);
		// 
		// Result
		// 
		return Control;
	}
	
	internal OpenSpan.Adapters.Controls.ListView Create_lvListView(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Controls.ListView lvListView = new OpenSpan.Adapters.Controls.ListView();
		this.SetId(lvListView, new OpenSpan.Design.ComponentIdentity("ListView-8C9A8A6A113A920"));
		lvListView.Extender = null;
		lvListView.ForwardObjectExplorerEvent = true;
		lvListView.MatchingIndex = 0;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule3;
		classNameMatchRule3 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule3
		// 
		classNameMatchRule3.ClassName = "SysListView32";
		OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule controlIdMatchRule1;
		controlIdMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule();
		// 
		// controlIdMatchRule1
		// 
		controlIdMatchRule1.ControlId = 1009;
		lvListView.MatchRules.Add(classNameMatchRule3);
		lvListView.MatchRules.Add(controlIdMatchRule1);
		lvListView.Name = "lvListView";
		lvListView.Separator = ",";
		lvListView.TargetTypeString = "@Value";
		// 
		// Set designComp Ids
		// 
		this.SetId(classNameMatchRule3, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1448F20"));
		this.SetId(controlIdMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlIdMatchRule-8C9A8A6A1479D80"));
		// 
		// Add components
		// 
		components.Add(classNameMatchRule3);
		components.Add(controlIdMatchRule1);
		// 
		// Result
		// 
		return lvListView;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule Create_classNameMatchRule3(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule3 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		this.SetId(classNameMatchRule3, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1448F20"));
		classNameMatchRule3.ClassName = "SysListView32";
		// 
		// Result
		// 
		return classNameMatchRule3;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule Create_controlIdMatchRule1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule controlIdMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule();
		this.SetId(controlIdMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlIdMatchRule-8C9A8A6A1479D80"));
		controlIdMatchRule1.ControlId = 1009;
		// 
		// Result
		// 
		return controlIdMatchRule1;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule Create_classNameMatchRule2(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule2 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		this.SetId(classNameMatchRule2, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A13855A0"));
		classNameMatchRule2.ClassName = "#32770";
		// 
		// Result
		// 
		return classNameMatchRule2;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule Create_windowTypeMatchRule1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule windowTypeMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTypeMatchRule();
		this.SetId(windowTypeMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTypeMatchRule-8C9A8A6A13B6400"));
		windowTypeMatchRule1.Type = OpenSpan.Adapters.Windows.WindowType.Child;
		// 
		// Result
		// 
		return windowTypeMatchRule1;
	}
	
	internal OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule Create_controlChildrenMatchRule1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule controlChildrenMatchRule1 = new OpenSpan.Adapters.MatchRules.ControlChildrenMatchRule();
		this.SetId(controlChildrenMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlChildrenMatchRule-8C9A8A6AF51A680"));
		OpenSpan.Adapters.Controls.ListView lvListView;
		lvListView = new OpenSpan.Adapters.Controls.ListView();
		// 
		// lvListView
		// 
		lvListView.Extender = null;
		lvListView.ForwardObjectExplorerEvent = true;
		lvListView.MatchingIndex = 0;
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule3;
		classNameMatchRule3 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		// 
		// classNameMatchRule3
		// 
		classNameMatchRule3.ClassName = "SysListView32";
		OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule controlIdMatchRule1;
		controlIdMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ControlIdMatchRule();
		// 
		// controlIdMatchRule1
		// 
		controlIdMatchRule1.ControlId = 1009;
		lvListView.MatchRules.Add(classNameMatchRule3);
		lvListView.MatchRules.Add(controlIdMatchRule1);
		lvListView.Name = "lvListView";
		lvListView.Separator = ",";
		lvListView.TargetTypeString = "@Value";
		controlChildrenMatchRule1.Children.Add(lvListView);
		// 
		// Set designComp Ids
		// 
		this.SetId(lvListView, new OpenSpan.Design.ComponentIdentity("ListView-8C9A8A6A113A920"));
		this.SetId(classNameMatchRule3, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1448F20"));
		this.SetId(controlIdMatchRule1, new OpenSpan.Design.ComponentIdentity("ControlIdMatchRule-8C9A8A6A1479D80"));
		// 
		// Add components
		// 
		components.Add(lvListView);
		components.Add(classNameMatchRule3);
		components.Add(controlIdMatchRule1);
		// 
		// Result
		// 
		return controlChildrenMatchRule1;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule Create_windowTextMatchRule1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule windowTextMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.WindowTextMatchRule();
		this.SetId(windowTextMatchRule1, new OpenSpan.Design.ComponentIdentity("WindowTextMatchRule-8C9A8A6A13238E0"));
		OpenSpan.Adapters.TextMatchData textmatchdata1 = new OpenSpan.Adapters.TextMatchData();
		textmatchdata1.IgnoreCase = false;
		textmatchdata1.Text = "Windows Task Manager";
		windowTextMatchRule1.Text = textmatchdata1;
		// 
		// Result
		// 
		return windowTextMatchRule1;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule Create_classNameMatchRule1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule classNameMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ClassNameMatchRule();
		this.SetId(classNameMatchRule1, new OpenSpan.Design.ComponentIdentity("ClassNameMatchRule-8C9A8A6A1354740"));
		classNameMatchRule1.ClassName = "#32770";
		// 
		// Result
		// 
		return classNameMatchRule1;
	}
	
	internal OpenSpan.Adapters.ActiveX.ActiveXFactory Create_activeXFactory1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.ActiveX.ActiveXFactory activeXFactory1 = new OpenSpan.Adapters.ActiveX.ActiveXFactory();
		this.SetId(activeXFactory1, new OpenSpan.Design.ComponentIdentity("ActiveXFactory-8CACCF4363287C6"));
		activeXFactory1.Extender = null;
		activeXFactory1.FactoryName = null;
		activeXFactory1.ForwardObjectExplorerEvent = true;
		activeXFactory1.MatchingIndex = 19;
		OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule moduleNameMatchRule1;
		moduleNameMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule();
		// 
		// moduleNameMatchRule1
		// 
		OpenSpan.Adapters.TextMatchData textmatchdata1 = new OpenSpan.Adapters.TextMatchData();
		textmatchdata1.Text = "ole32.dll";
		moduleNameMatchRule1.Text = textmatchdata1;
		activeXFactory1.MatchRules.Add(moduleNameMatchRule1);
		activeXFactory1.Name = "activeXFactory1";
		activeXFactory1.TargetTypeString = "OpenSpan.Adapters.Windows.WindowsModule, OpenSpan.Adapters.Windows";
		activeXFactory1.UseKeys = true;
		// 
		// Set designComp Ids
		// 
		this.SetId(moduleNameMatchRule1, new OpenSpan.Design.ComponentIdentity("ModuleNameMatchRule-8CACCF4363C112E"));
		// 
		// Add components
		// 
		components.Add(moduleNameMatchRule1);
		// 
		// Result
		// 
		return activeXFactory1;
	}
	
	internal OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule Create_moduleNameMatchRule1(out System.Collections.Generic.ICollection<System.ComponentModel.IComponent> components)
	{
		components = new System.Collections.Generic.List<System.ComponentModel.IComponent>();
		OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule moduleNameMatchRule1 = new OpenSpan.Adapters.Windows.MatchRules.ModuleNameMatchRule();
		this.SetId(moduleNameMatchRule1, new OpenSpan.Design.ComponentIdentity("ModuleNameMatchRule-8CACCF4363C112E"));
		OpenSpan.Adapters.TextMatchData textmatchdata1 = new OpenSpan.Adapters.TextMatchData();
		textmatchdata1.Text = "ole32.dll";
		moduleNameMatchRule1.Text = textmatchdata1;
		// 
		// Result
		// 
		return moduleNameMatchRule1;
	}
}


}

